/* .COPYRIGHT:                                                                */
/*    Licensed Material - Program-Property of IBM                             */
/*    (C) Copyright IBM Corp. 2002 - All Rights Reserved                      */
/*                                                                            */
/* .DISCLAIMER:                                                               */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is provided to you solely for use in      */
/*   connection with your internal evaluation of the Service Management       */
/*   Framework(TM) Toolkit (Program) during the term of Early Release license */
/*   for the Program, and for no other purpose.  The code is provided 'AS IS',*/
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
package com.ibm.pvc.example.command;

/**
 * This is the CommandSQLException class.
 * 
 * 
 * This is a generic exception made available for implementers of the 
 * Command interface that want to encapsulate an associated SQLException. 
 */
public class CommandSQLException extends CommandException {
	public java.sql.SQLException sqlException;

	public CommandSQLException(java.sql.SQLException sqlException) {
		super();
		this.sqlException = sqlException;
	}

	public CommandSQLException(java.sql.SQLException sqlException, String s) {
		super(s);
		this.sqlException = sqlException;
	}

	public java.sql.SQLException getSqlException() {
		return sqlException;
	}
}